//
//  
//  AgoraCallSuccessModel.swift
//  WoWonder
//
//  Created by Mohammed Hamad on 05/09/2022.
//  Copyright © 2022 ScriptSun. All rights reserved.
//
//
import Foundation
import UIKit

struct AgoraCallSuccessModel: Codable {
    
    let api_status : Int?
    let room_name : String?
    let id : Int?
    let token : String?
    
    enum CodingKeys: String, CodingKey {
        
        case api_status = "api_status"
        case room_name = "room_name"
        case id = "id"
        case token = "token"
    }
    
    init(from decoder: Decoder) throws {
        let values = try decoder.container(keyedBy: CodingKeys.self)
        api_status = try values.decodeIfPresent(Int.self, forKey: .api_status)
        room_name = try values.decodeIfPresent(String.self, forKey: .room_name)
        id = try values.decodeIfPresent(Int.self, forKey: .id)
        token = try values.decodeIfPresent(String.self, forKey: .token)
    }
}
